Every record type, with what may be hung off it.
curl --request POST \
--url https://app.assetinfinity.ai/api/entity_types \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"is_administered": true,
"is_tenant_scoped": true,
"label": "<string>",
"schema_name": "<string>",
"supports_attachments": true,
"supports_comments": true,
"table_name": "<string>"
}
'import requests
url = "https://app.assetinfinity.ai/api/entity_types"
payload = {
"entity": "<string>",
"is_administered": True,
"is_tenant_scoped": True,
"label": "<string>",
"schema_name": "<string>",
"supports_attachments": True,
"supports_comments": True,
"table_name": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
is_administered: true,
is_tenant_scoped: true,
label: '<string>',
schema_name: '<string>',
supports_attachments: true,
supports_comments: true,
table_name: '<string>'
})
};
fetch('https://app.assetinfinity.ai/api/entity_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Admin
Every record type, with what may be hung off it.
Broader than api.entity_definitions, which is only the ones a tenant may edit generically (ADR-017).
POST
/
entity_types
Every record type, with what may be hung off it.
Headers
Preference
Available options:
return=representation, return=minimal, return=none, resolution=ignore-duplicates, resolution=merge-duplicates Query Parameters
Filtering Columns
Body
application/jsonapplication/vnd.pgrst.object+jsonapplication/vnd.pgrst.object+json;nulls=strippedtext/csv
entity_types
Every record type, with what may be hung off it.
Broader than api.entity_definitions, which is only the ones a tenant may edit generically (ADR-017).
Maximum string length:
80Maximum string length:
120Maximum string length:
40Maximum string length:
60Response
201
Created
Related topics
Building a maintenance planStatuses and transitionsRulesCopilot activitySetting up the plantWas this page helpful?
⌘I

